slice_1.3.8-14_all.deb


Advertisement

Description

slice - Extract out pre-defined slices of an ASCII file

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename slice_1.3.8-14_all.deb
Package name slice
Package version 1.3.8
Package release 14
Package architecture all
Package type deb
Category devel::web implemented-in::perl interface::commandline role::program scope::utility text use::filtering use::text-formatting works-with::text
Homepage https://web.archive.org/web/20041028021735/http://www.engelschall.com/sw/slice/
License -
Maintainer Axel Beckert <abe@debian.org>
Download size 24.05 KB
Installed size 64.00 KB
The slice program reads an input file and divide its prepared ASCII contents
into possibly overlapping slices. These slices are determined by enclosing
blocks which are defined by begin and end delimiters which have to be
already in the file. The final output gets calculated by a slice term
consisting of slice names, set theory operators and optional round brackets.

Alternatives

Package Version Architecture Repository
slice_1.3.8-14_all.deb 1.3.8 all Debian Main
slice - - -

Requires

Name Value
libbit-vector-perl -
perl -
perl:any -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package slice_1.3.8-14_all.deb
Source Package slice

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install slice deb package:
    # sudo apt-get install slice

Files

Path
/usr/bin/slice
/usr/share/doc/slice/README
/usr/share/doc/slice/changelog.Debian.gz
/usr/share/doc/slice/changelog.gz
/usr/share/doc/slice/copyright
/usr/share/man/man1/slice.1.gz

Changelog

2018-06-26 - Axel Beckert <abe@debian.org>
slice (1.3.8-14) unstable; urgency=medium
* Update Vcs-* headers for packaging repository moving to Salsa.
* Drop one-man-team from Maintainer field, set myself personally there
instead. (Closes: #899691)
* Declare compliance with Debian Policy 4.1.4.
+ Update debian/copyright format URL to HTTPS.
* Switch Homepage header to HTTPS. Thanks DUCK for the hint!
* Drop no more needed Testsuite field from debian/control.
* Bump debhelper compatibility level to 11.
+ Update versioned build-dependency on debhelper accordingly.
+ Update .gitignore to ignore additional build artefacts.
* Add (mostly redundant) DEP12 debian/upstream/metadata file.
2016-05-06 - Axel Beckert <abe@debian.org>
slice (1.3.8-13) unstable; urgency=medium
* Mark ftp://ftp.ossp.org/pkg/tool/slice/ as working again in
debian/control. It seems that at least Iceweasel can't connect to that
FTP server, but other FTP clients (e.g. ncftp, uscan) still can.
* Drop alternative dependency on perl5 and version restriction on perl
(build-) dependency.
* Declare compliance with Debian Policy 3.9.8 (no other changes).
* Switch Vcs-* headers from git:// or http:// to https:// and cgit.
* Convert debian/copyright to the machine-readable DEP5 format.
* Update Josip Rodin's e-mail address in debian/copyright. Issue found
by DUCK.
* Remove trailing blank line from debian/changelog.
* Make package DEP8 autopkgtestable.
2013-05-28 - Axel Beckert <abe@debian.org>
slice (1.3.8-12) unstable; urgency=low
* Remove non-used include paths (Closes: #690824)
* Bump debhelper compatibility to 9
+ Update versioned debhelper build-dependency
* Switch to source format "3.0 (quilt)"
+ Remove quilt build-dependency and quilt usage from debian/rules
* Revamp debian/rules:
+ Use dh_auto_{configure,build,install,clean}
+ Move dh_installdocs parameter to debian/docs
+ Remove redundant dh_installchangelogs parameter
+ Finally switch to a dh7 style debian/rules file
* Bump Standards-Version to 3.9.4 (no changes)
* Fix lintian warning vcs-field-not-canonical
* Fix dpkg-gencontrol warning "unused substitution variable ${perl:Depends}"
* Update homepage header to point to web.archive.org's version of the
Slice homepage.
* Clean up debian/copyright
+ Mention myself as current maintainer.
+ Update links to external download sources
* Remove alternative build-dependency on ancient (if ever existent) perl5
* Apply wrap-and-sort.
2011-12-18 - Axel Beckert <abe@debian.org>
slice (1.3.8-11) unstable; urgency=low
* Enable upstream test suite at build time via dh_auto_test
* Fix version string in man-page (Closes: #639546)
* Bump Standards-Version to 3.9.2 (no changes)
* Remove Felipe Augusto van de Wiel (faw) from Uploaders on his own
request.
* Fix the following lintian warnings:
+ debian-rules-missing-recommended-target
+ copyright-refers-to-symlink-license
2010-06-03 - Axel Beckert <abe@debian.org>
slice (1.3.8-10) unstable; urgency=low
* Move to collaborative maintenance
* Bump Standards-Version to 3.8.4
- Add Vcs-* fields
- Add Homepage field
- Added support for DEB_BUILD_OPTIONS=noopt
* Move over to quilt patch management
- Added build dependency on quilt
- Added configure target and target dependencies to debian/rules
- Added README.source pointing to /usr/share/doc/quilt/README.source
- Added debian/source/format containing "1.0" to prevent unwanted
automatic conversion to 3.0 source format.
* Bump debhelper compatibility to 7
* Fixed the following Lintian warnings:
- debhelper-but-no-misc-depends
- copyright-without-copyright-notice
- spelling-error-in-manpage (debian/patches/fix-spelling-errors.diff)
2008-01-23 - Luk Claes <luk@debian.org>
slice (1.3.8-9) unstable; urgency=low
* Remove me as Maintainer.

See Also

Package Description
slick-greeter_1.2.4-2_i386.deb Slick-looking LightDM greeter
slides-doc_1.0.1-15_all.deb Python-based Slide Maker -- documentation
slim_1.3.6-5.1_i386.deb desktop-independent graphical login manager for X11
slime_2.23+dfsg-2_all.deb Superior Lisp Interaction Mode for Emacs (client)
slimevolley-data_2.4.2+dfsg-2_all.deb unrealistic 2D volleyball simulation - data files
slimevolley_2.4.2+dfsg-2+b1_i386.deb unrealistic 2D volleyball simulation
slimit_0.8.1-3_all.deb JavaScript minifier/parser in Python
slingshot_0.9-2_all.deb simple 2D shooting strategy game set in space, with gravity
slinkwatch_1.0-2+b20_i386.deb automatic maintenance of Suricata monitoring interfaces
slirp4netns_0.2.3-1_i386.deb User-mode networking for unprivileged network namespaces
slirp_1.0.17-8_i386.deb SLIP/PPP emulator using a dial up shell account
sloccount_2.26-5.2_i386.deb programs for counting physical source lines of code (SLOC)
slony1-2-bin_2.2.7-2_i386.deb replication system for PostgreSQL: daemon and administration tools
slony1-2-doc_2.2.7-2_all.deb Slony-I documentation
slop_7.4-1+b2_i386.deb queries for a selection from the user and prints the region to stdout
Advertisement
Advertisement